<?php
//  レポート管理システム  Ver. 0.1
//
//  管理者用
//      現在のレポート確認・削除モード変更 ./doc
//      過去のレポート確認 ./r1 ～ ./r20  第1回から第20回まで
session_start();
include("../param.inc");
include("repo.inc");
print_header("$report1_TITLE");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('You are not an administrator.');");
	print("</SCRIPT>");
} else {
	print_headline("Additional report lecture note evaluation");
	?>
<!--
<FONT color="red">Caution</FONT>
<UL>
<LI>Regularly, each report can be up to 1 point.<BR>
<LI>Challenge report (*) is shown as <FONT color="blue">the number of challenge report program for each report.</FONT><BR>
-->
	<?php
        if (file_exists("report_notescore.csv")) {
           $t = date("Y/m/d", filemtime("report_notescore.csv"));
           print("<LI><A href='report_notescore.csv'>Download an evaluation file</A>　Date checked：$t");
        }
	?>
</UL>
<FORM method="POST" enctype="multipart/form-data"
	action="webrepo_noteallscore.php"><INPUT type="hidden"
	name="MAX_FILE_SIZE" value="100000"> Upload an evaluation file：<INPUT type="file"
	name="userfile" size="40"> <INPUT type="submit" value="Send" name="up">

<CENTER>
<HR>
	<?php
	if (isset($_POST['up'])) { // 送信がクリックされたら
		if (!is_uploaded_file($_FILES['userfile']['tmp_name'])) {
			print_error("Cannot save the file!！");
		} else {
                        copy($_FILES['userfile']['tmp_name'], "tmp_notescore.csv");
                        // 読込み
                        $src = file_get_contents("tmp_notescore.csv");
                        // 文字コード変換
                        $string = mb_convert_encoding($src, "UTF-8", "auto");
                        // 保存
                        file_put_contents("report_notescore.csv", $string);
                        // 作業ファイル削除
                        unlink("tmp_notescore.csv");
			print_message("Upload an evaluation file completed.");
		}
	}
	if (file_exists("report_notescore.csv")) {  // 評価ファイルが存在すれば
		$fp = fopen("report_notescore.csv", "r");
		print("<TABLE border='1'>");
		$tmp = fgets($fp, 4096);    // ノート課題番号
		$data = chop($tmp);
		print("<TR>");
		$val = explode(",", $data);
		$n = count($val);
		$change = NULL;    // 課題番号が変わるセル番号
		for ($i=1; $i<$n; $i++) {
			if ($val[$i] != "") $change[] = $i;
			print("<TH>$val[$i]</TH>");
		}
		$change[] = $n;
		$val = NULL;
		print("</TR><TR>");
		$data = fgets($fp, 4096);    // 課題の小問番号
		$val = explode(",", $data);
		$n = count($val);
		for ($i=1; $i<$n; $i++) print("<TH>$val[$i]</TH>");
		print("</TR>");

		while ($data = fgets($fp, 4096)) {
			$val = NULL;
			$val = explode(",", $data);
			$n = count($val);
			$j = 0;  //  第($j+1)回レポート
			print("<TR>");
			for ($i=1; $i<$n; $i++) {
				print("<TD ");
				if ($i == $change[$j]) $j++; // 課題番号が変わったら
				if ($j % 2 == 1) // 奇数番なら黄色にする
				print("bgcolor='lightblue' ");
				print("nowrap>$val[$i]</TD>");
			}
			print("</TR>\n");
			$val = NULL;
		}
		fclose($fp);
		print("</TABLE>\n");
	} else
	print_error("No note evaluation.");

	print("</CENTER>");
	print("</FORM>\n");
} print_copyright();
?>
</BODY>
</HTML>