<?php
session_start();
include("../param.inc");
include("bbs.inc");
print_header("Bulletin board");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
	print_headline("Bulletin board");
	?>

<FORM method="POST" action="bbs.php">
<CENTER><?php

// 新規メッセージ入力エリア表示
new_message_area();

// 意見の書込み
$d = NULL;
if (isset($_POST['write'])) {
	unset($_POST['write']);
	if (($_POST['title'] != "") && ($_POST['message'] != "")) {
		$d[] = date("Y/m/d(D)H:i:s");
		$d[]=  jcode_convert($_POST['xname']);
		$tmp = jcode_convert($_POST['title']);
		$d[] = str_replace(",", "，", $tmp);  // カンマを全角に置換
		$tmp = jcode_convert($_POST['message']);
		$d[] = str_replace(",", "，", $tmp);
		if (isset($_SESSION['t']) && ($_SESSION['t'] == $d[2]) && ($_SESSION['m'] == $d[3]))
		print_error("Double writing is not allowed");
		else {
			// msg = 日時,名前,タイトル,内容,
			if (file_exists($logFile)) $file=fopen($logFile,"a");
			else $file=fopen($logFile,"w");
			if (flock($file, LOCK_EX)) {   // ロック成功	
				$tmp = $d[0];
				for ($i = 1; $i < count($d); $i++)
				$tmp = $tmp . "," . $d[$i];
				$msg = ret_replace($tmp) . "\n";  // 改行を<BR>タグに置換
				fwrite($file,$msg);
				flock($file, LOCK_UN);  // ロック解除
				fclose($file);
				$_SESSION['t'] = $d[2];  // 2重書き込み防止のため
				$_SESSION['m'] = $d[3];  // タイトルとメッセージを記憶
			} else print_error("Cannot write. Please wait for a moment and try again.");
		}
	}
}
//  ログの表示
print_title2("Log");
if (!file_exists($logFile))
print_error("No messages written ");
else {
	log_view(0);  // 削除なしでログ表示
}
print("</CENTER>");
print("</FORM>");
} print_copyright();
?>
</BODY>
</HTML>
