<?php
//  管理者用
//    パスワードの削除
session_start();
include("../param.inc");

/**
 *	ユーザ一覧の表示
 *	@param $no    出席番号の配列
 *	@param $id    ユーザIDの配列
 *	@param $uname 氏名の配列
 */
function listing_user($no, $id, $uname) {
	global $passdir;

	$filelist = NULL;

	$n = count($id);
	for ($i = 0; $i < $n; $i++) {
		$uid = $id[$i];
		if (isset($_POST[$uid])) {  // 削除ボタンが押された
			unlink($passdir . $uid);
			print("<P>Deleted the password for<STRONG>$uid</STRONG></P>");
		}
		if (file_exists($passdir . $uid)) {// 出席番号，ログイン名，氏名，最終変更日，削除ボタン
			$passwdlist[] = "$no[$i],$uid,$uname[$i]," . date("Y-m-d", filemtime($passdir . $uid)) . ",$uid";
		} else {    // 出席番号，ログイン名，氏名,,
			$passwdlist[] = "$no[$i],$uid,$uname[$i],,";
		}
	}
	print("<TABLE border='1'>");
	print("<TR>");
	print("<TH>No</TH><TH>Username</TH><TH>Full name</TH><TH>Last edited date</TH><TH>Delete</TH>");
	print("</TR>");

	$n = count($passwdlist);  // ユーザ数
	for ($i = 0; $i < $n; $i++) {
		$val = explode(",", $passwdlist[$i]); /* カンマで分割 */
		print("<TR>");
		print("<TD nowrap>$val[0]</td>");
		print("<TD nowrap>$val[1]</td>");
		print("<TD nowrap>$val[2]</td>");
		print("<TD nowrap>$val[3]</td>");
		if ($val[4] != "") { // パスワードが設定されている
			print("<TD><INPUT type='submit' value='Delete' name='$val[4]'></TD>");
		}
		print("</TR>");
	}
	println("</TABLE>");
}

print_header("Management");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else if ($_SESSION['admin']==0) { // 管理者でない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('You are not an administrator.');");
	print("</SCRIPT>");
} else {
	print_headline("Initialize / Delete password"); 
	print_title1("Student account and password info.");
	?>

<FORM method="POST" action="deletepasswd.php">
<CENTER>Initial password：<INPUT type="text" name="inipas" size="10"> Non-administrator：<INPUT
	type="submit" value="Initialize" name="init"> <?php
	if (isset($_POST['init'])) { // 初期化ボタンが押されたとき
		if ($_POST['inipas'] == "") print_error("No initial password input.");
		else {
			$n = count($_SESSION['no']);  // ユーザ数
			for ($i = 0; $i < $n; $i++) {
				if ($_SESSION['no'][$i] > 0) { // 学習者なら初期化
					$file = fopen($passdir . $_SESSION['uid'][$i], "w");
					fwrite($file, md5($_POST['inipas']));  // 新しいパスワードを書き込む
					fclose($file);
				}
			}
			print_message("Non-administrator password initialization completed.");
		}
	}
	print("<BR><BR>");
	listing_user($_SESSION['no'], $_SESSION['uid'], $_SESSION['uname']);  /* ユーザ一覧表示 */
	print("</CENTER>");
	print("</FORM>");
} print_copyright();
?>
</BODY>
</HTML>