<?php
session_start();
include("../param.inc");
$mPath = "doc/";
print_header("Quiz");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
	//   print_headline("答え合せ");

	print("<CENTER>"); // センタリング

	$i = 1;
	while(file_exists("q" . $i)) $i++;
	print_title1("Quiz no. $i");
	//  課題説明の表示
	print_problem($mPath . "problem.txt");

	$stime = $_SESSION['sTime'];    // 開始時刻
	$etime = time();                // 終了時刻
	$atime = $etime-$stime;         // 解答時間

	$s = 0;
	$nop = 0;
	$handle = fopen($_SESSION['mFile'],"r");
	$s_ans = ",";      // 生徒の解答と正誤判定

	print("<TABLE border=1>");
	while(!feof($handle)) { // EOFでない間
		$tmp = chop(fgets($handle, 4096));
		if ($tmp != "") {
			$data = explode(",", $tmp);
			$nop = $nop+1;        // 問題番号
			$pic = $data[0];   // 図
			$kei = $data[1];    // 問題形式
			$quiz = exp_change($data[2]);   // 問題文
			$kai = exp_change($data[3]);    // 解説
			$ans = $data[4];    // 正解

			print("<TR><TH colspan=2 bgcolor='BLUE'><FONT COLOR='WHITE'>No: $nop </FONT></TH></TR>");
			print("<TR><TH nowrap>Question</TH><TD width='600'>$quiz");
			if (($pic != "") && (file_exists($mPath . $pic))) //  図の表示
			print("<BR><IMG src='" . $mPath . $pic . "'>");
			print("</TD></TR>\n");
			// 選択問題
			if($kei == "s"){
				print("<TR><TH nowrap>Choice</TH><TD>");
				$select_num = count($data)-5;  // 選択肢の数
				for ($i=1; $i<=$select_num; $i++)
				if ($data[$i+4] != "") print("【" . $i . "】　" . exp_change($data[$i+4]) . "<BR>");
				print("</TD><TR><TH nowrap>【解答】</TH><TD>");
				if(isset($_POST["chose$nop"])) {  // 解答あり
					print("【" . $_POST["chose$nop"] . "】</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					$s_ans = $s_ans . "【" . $_POST["chose$nop"] . "】";
					if ($_POST["chose$nop"] == $ans){
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			// 複数選択問題
			if ($kei == "h"){
				print("<TR><TH nowrap>Choice</TH><TD>");
				$select_num = count($data)-5;  // 選択肢の数
				for ($i=1; $i<=$select_num; $i++)
				if ($data[$i+4] != "") print("【" . $i . "】" . exp_change($data[$i+4]) . "<BR>");
				print("</TD><TR><TH nowrap>Answer</TH><TD>");
				$num = 0;
				for ($i=1; $i<=$select_num; $i++)
				if (isset($_POST["chose$nop-$i"])) { // 解答あり
					print("【" . $i . "】");
					$s_ans = $s_ans . "【" . $i. "】";
					$num = $num + $_POST["chose$nop-$i"];
				}
				if ($num > 0) {  // 解答あり
					print("</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					if ($num == $ans) {
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			// 記述問題
			if ($kei == "k") {
				print("<TR><TH nowrap>Answer</TH><TD>");
				if ($_POST["write$nop"] != "") {   // 解答あり
					$tmp = str_replace(",","，",jcode_convert($_POST["write$nop"]));
					print($tmp . "</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					$s_ans = $s_ans . $tmp;
					if (jcode_convert($_POST["write$nop"]) == $ans){
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			// yes-no問題
			if ($kei == "n") {
				print("<TR><TH nowrap>Choice</TH><TD>");
				print("Correct (y), Incorrect (n)</TD></TR>\n");
				print("<TR><TH nowrap>Answer</TH><TD>");
				if (isset($_POST["yn$nop"])) {  // 解答あり
					print($_POST["yn$nop"] . "</TD></TR><TR><TH nowrap>Judgement</TH><TD>");
					$s_ans = $s_ans . $_POST["yn$nop"];
					if ($_POST["yn$nop"] == $ans){
						print('<FONT color="BLUE">○</FONT>');
						$s_ans = $s_ans . ",○";
						$s = $s + 1;
					} else {
						print('<FONT color="RED">×</FONT>');
						$s_ans = $s_ans . ",×";
					}
				} else { // 解答なし
					print('</TD></TR><TR><TH nowrap>Judgement</TH><TD><FONT color="RED">×</FONT>');
					$s_ans = $s_ans . ",×";
				}
			}
			$s_ans = $s_ans . ",";

			print("</TD></TR>\n");
			print("<TR><TH nowrap>Explanation</TH><TD>$kai</TD></TR>\n");
		}
	}
	fclose($handle);
	print("</TABLE>\n");

	//  成績の表示と保存
	print_title2("Record");
	print("Answer time  ".$atime." second (s)<BR>\n");
	print("Score : " . $s . " of " . $nop . "  questions.<BR>\n");
	$date = date('Y/m/d(H:i)');
	// 番号 氏名 得点  問題数  日時  解答時
	$contents = $_SESSION['no_id'][$_SESSION["id"]] . "," . $_SESSION["user"] . "," . $s;
	$contents = $contents . "," . $nop . ",".$date.",".$atime . $s_ans . "\n";
	$scorefile = "doc/" . $_SESSION["id"];
	if (file_exists($scorefile))   // すでにスコアファイルがあれば
	$file = fopen($scorefile,"a");  // 追記
	else                                 // なければ新規に書き込み
	$file = fopen($scorefile,"w");
	fputs($file,$contents);
	fclose($file);

	print("</CENTER>");
} print_copyright();
?>
</BODY>
</HTML>
