<?php
//  レポート管理システム  Ver. 0.1
//
//  学生用
//      現在のレポート提出・確認・削除 ./doc
//      過去のレポート確認 ./r1 ～ ./r20  第1回から第20回まで
session_start();
include("../param.inc");
include("repo.inc");
print_header("Report");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
} else {
	print_headline("Lecture note evaluation");
	?>
<!--
<FONT color="red">Caution</FONT><BR>
<UL>
<LI>Regularly, each report can be up to 1 point.<BR>
<LI>Challenge quiz (*) is shown as <FONT color="blue">the number of challenge quiz program for each report.</FONT><BR>
</UL>
-->
<CENTER>
<HR>
	<?php
	if (file_exists("report_notescore.csv")) {  // 評価ファイルが存在すれば
                $t = date("Y/m/d", filemtime("report_notescore.csv"));
                print("Date checked：$t\n");
		$fp = fopen("report_notescore.csv", "r");
		print("<TABLE border='1'>");
		$tmp = fgets($fp, 4096);    // ノートの課題番号
		$data = chop($tmp);
		print("<TR>");
		$val = explode(",", $data);
		$n = count($val);
		$change = NULL;    // 課題番号が変わるセル番号
		for ($i=1; $i<$n; $i++) {
			if ($val[$i] != "") $change[] = $i;
			print("<TH>$val[$i]</TH>");
		}
		$change[] = $n;
		$val = NULL;
		print("</TR><TR>");
		$data = fgets($fp, 4096);    // 課題の小問番号
		$val = explode(",", $data);
		$n = count($val);
		for ($i=1; $i<$n; $i++) print("<TH>$val[$i]</TH>");
		print("</TR>");

		while ($data = fgets($fp, 4096)) {
			$val = NULL;
			$val = explode(",", $data);
			if ($_SESSION['id'] == $val[0]) {  // 自分の評価なら
				$j = 0;  //  第($j+1)回レポート
				$n = count($val);
				print("<TR>");
				for ($i=1; $i<$n; $i++) {
					print("<TD ");
					if ($i == $change[$j]) $j++; // 課題番号が変わったら
					if ($j % 2 == 1) // 奇数番なら黄色にする
					print("bgcolor='lightblue' ");
					print("nowrap>$val[$i]</TD>");
				}
				print("</TR>");
			}
		}
		fclose($fp);
		print("</TABLE>\n");
	} else
	print_error("No note evaluation.");

	print("</CENTER>");
} print_copyright();
?>
</BODY>
</HTML>